--- title: "View model details" slug: "apigateway-getmodel" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-getmodel" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View model details Available in Classic and VPC View information about a specific model among the created body models. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/models/{model-id} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose model information you want to view - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `model-id` | String | Required | Target model ID - 1 - 10 characters - See [View model](/docs/en/apigateway-getmodels) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/models/tua1hd0pi4' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "modelId" : "modelId", "apiId" : "apiId", "modelName" : "modelName", "modelDescription" : "modelDescription", "modelSchema" : "modelSchema" } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "modelId": "tua1hd0pi4", "apiId": "cvcohvd2xj", "modelName": "testmodel", "modelDescription": "test model", "modelSchema": "{\n \"type\": \"object\",\n \"properties\": {\n \"firstName\": {\n \"type\": \"string\"\n },\n \"lastName\": {\n \"type\": \"string\"\n },\n \"age\": {\n \"description\": \"Age in years\",\n \"type\": \"integer\",\n \"minimum\": 3\n }\n },\n \"required\": [\n \"firstName\",\n \"lastName\"\n ]\n}" } ```